YamlSlurper (Groovy 3.0.9)

Package groovy.yaml

## Class YamlSlurper

- java.lang.Object
- - groovy.yaml.YamlSlurper

-     public class YamlSlurper
      extends Object

  Represents a YAML parser
  Since:
    3.0.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `YamlSlurper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `parse​(File file)` | Parse the content of the specified file into a tree of Nodes.
    `Object` | `parse​(InputStream stream)` | Parse the content of the specified reader into a tree of Nodes.
    `Object` | `parse​(Reader reader)` | Parse the content of the specified reader into a tree of Nodes.
    `Object` | `parse​(Path path)` | Parse the content of the specified path into a tree of Nodes.
    `Object` | `parseText​(String yaml)` | Parse the content of the specified yaml into a tree of Nodes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### YamlSlurper

          public YamlSlurper()

  - ### Method Detail

    - #### parseText

          public Object parseText​(String yaml)

      Parse the content of the specified yaml into a tree of Nodes.
      Parameters:
        `yaml` - the content of yaml
      Returns:
        the root node of the parsed tree of Nodes

    - #### parse

          public Object parse​(Reader reader)

      Parse the content of the specified reader into a tree of Nodes.
      Parameters:
        `reader` - the reader of yaml
      Returns:
        the root node of the parsed tree of Nodes

    - #### parse

          public Object parse​(InputStream stream)

      Parse the content of the specified reader into a tree of Nodes.
      Parameters:
        `stream` - the reader of yaml
      Returns:
        the root node of the parsed tree of Nodes

    - #### parse

          public Object parse​(File file)
                       throws IOException

      Parse the content of the specified file into a tree of Nodes.
      Parameters:
        `file` - the reader of yaml
      Returns:
        the root node of the parsed tree of Nodes
      Throws:
        `IOException`

    - #### parse

          public Object parse​(Path path)
                       throws IOException

      Parse the content of the specified path into a tree of Nodes.
      Parameters:
        `path` - the reader of yaml
      Returns:
        the root node of the parsed tree of Nodes
      Throws:
        `IOException`